const objectStylesToString = ({ fontFamily, fontSize, lineHeight, fontWeight, fontStyle, textDecorationThickness, }) => `
	font-family: ${fontFamily};
	font-size: ${typeof fontSize === 'number' ? `${fontSize}px` : fontSize};
	line-height: ${lineHeight};
	${fontWeight ? `font-weight: ${fontWeight}` : ''};
	${fontStyle ? `font-style: ${fontStyle}` : ''};

	&:hover {
		${textDecorationThickness
    ? `text-decoration-thickness: ${textDecorationThickness}px`
    : ``};
	}
`;

export { objectStylesToString };
//# sourceMappingURL=object-styles-to-string.js.map
